Bug 970902 - The README.md of redis-openshift-example quick-start should be updated
The README.md of redis-openshift-example quick-start should be updated
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Templates (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 03:54 EDT by Gaoyun Pei
Modified: 2015-05-14 22:23 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:17:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gaoyun Pei 2013-06-05 03:54:14 EDT
Description of problem:
Try to create a Redis quick-start on the latest devenv by following the steps in https://github.com/openshift/redis-openshift-example , but the build action_hook was not executed during git push, and couldn't get the expected page said in the guide.

Version-Release number of selected component (if applicable):
devenv_3321
https://github.com/openshift/redis-openshift-example

How reproducible:
always

Steps to Reproduce:
1. create Redis quick-start following the steps in https://github.com/openshift/redis-openshift-example

Noticed that file .openshift/action_hooks/build was not executed during git push, so give it the execute permission manually and git push the changes again

2. visit the page http://redis-$yournamespace.rhcloud.com/ruby/ , it doesn't contain "Hello from Ruby!" as the guide said.

Actual results:

Expected results:
The build action_hook should be executed and the correct page information should be updated in README

Additional info:
Comment 1 Gaoyun Pei 2013-06-06 06:57:30 EDT
Hi, Dan
I tried this quick-start on latest devenv by following the steps in https://github.com/openshift/redis-openshift-example 
The build action_hook was indeed executed, but I still couldn't find page http://redis-$yournamespace.rhcloud.com/ruby/ contains "Hello from Ruby!" , maybe I missed something, could you take a look at that?
Comment 2 Dan McPherson 2013-06-06 10:58:46 EDT
Sorry about that.  I missed the last push where I updated the readme.  As far as I can tell the readme was always wrong.  All the QS is doing is making redis available inside the gear for the ruby cart to use.

-Dan
Comment 3 Gaoyun Pei 2013-06-06 21:36:22 EDT
Checked the README of redis quick-start in https://github.com/openshift/redis-openshift-example , the content of checking the web page has been updated, so move it to VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.